Package it.ernytech.tdlib

## Class TdApi.Contact

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.Contact

Enclosing class:
  TdApi

    public static class TdApi.Contact
    extends TdApi.Object

Describes a user contact.

### Field Summary

Fields
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`java.lang.String` `firstName` First name of the user; 1-255 characters in length.
`java.lang.String` `lastName` Last name of the user.
`java.lang.String` `phoneNumber` Phone number of the user.
`int` `userId` Identifier of the user, if known; otherwise 0.

### Constructor Summary

Constructors
`Contact()` Default constructor.
`Contact​(java.lang.String phoneNumber, java.lang.String firstName, java.lang.String lastName, int userId)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`toString`

### Field Detail

#### phoneNumber

    public java.lang.String phoneNumber

Phone number of the user.

#### firstName

    public java.lang.String firstName

First name of the user; 1-255 characters in length.

#### lastName

    public java.lang.String lastName

Last name of the user.

#### userId

    public int userId

Identifier of the user, if known; otherwise 0.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### Contact

    public Contact()

Default constructor.

#### Contact

    public Contact​(java.lang.String phoneNumber,
                   java.lang.String firstName,
                   java.lang.String lastName,
                   int userId)

Constructor for initialization of all fields.

Parameters:
  `phoneNumber` - Phone number of the user.
  `firstName` - First name of the user; 1-255 characters in length.
  `lastName` - Last name of the user.
  `userId` - Identifier of the user, if known; otherwise 0.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR